from __future__ import print_function



class _MockMeta(type):
    def __getattr__(self, name):
        return _Mock()

class _Mock(object):
    __metaclass__ = _MockMeta
    def __init__(self, *a, **kw):
        object.__init__(self)
        for k,v in kw.iteritems():
            setattr(self, k, v)
    def __getattr__(*a, **kw): return _Mock()
    def __call__(*a, **kw): return _Mock()
    def __getitem__(*a, **kw): return _Mock()
    def __int__(*a, **kw): return 1
    def __contains__(*a, **kw): return False
    def __len__(*a, **kw): return 1
    def __iter__(*a, **kw): return iter([])
    def __exit__(*a, **kw): return False
    def __complex__(*a, **kw): return 1j
    def __float__(*a, **kw): return 1.0
    def __bool__(*a, **kw): return True
    def __nonzero__(*a, **kw): return True
    def __oct__(*a, **kw): return 1
    def __hex__(*a, **kw): return 0x1
    def __long__(*a, **kw): return long(1)
    def __index__(*a, **kw): return 1       


get_ipython_dir = _Mock()

ioloop = _Mock()

list_profiles_in = _Mock()

py3compat = _Mock()

web = _Mock()



class CFloat(_Mock):
  pass
  default_value = 0.0
  info_text = 'a float'

class ClusterManager(_Mock):
  pass


class Dict(_Mock):
  pass
  info_text = 'any value'

class DummyIPClusterStart(_Mock):
  pass
  _in_init_profile_dir = False
  _stopping = False
  default_log_level = 20
  description = "Start an IPython cluster for parallel computing\n\nStart an ipython cluster by its profile name or cluster\ndirectory. Cluster directories contain configuration, log and\nsecurity related files and are named using the convention\n'profile_<name>' and should be creating using the 'start'\nsubcommand of 'ipcluster'. If your cluster directory is in\nthe cwd or the ipython directory, you can simply refer to it\nusing its profile name, 'ipcluster start --n=4 --profile=<profile>`,\notherwise use the 'profile-dir' option.\n"
  examples = '\nipython profile create mycluster --parallel # create mycluster profile\nipcluster start --profile=mycluster --n=4   # start mycluster with 4 nodes\n'
  name = u'ipcluster'

class IPClusterStart(_Mock):
  pass
  _in_init_profile_dir = False
  _stopping = False
  default_log_level = 20
  description = "Start an IPython cluster for parallel computing\n\nStart an ipython cluster by its profile name or cluster\ndirectory. Cluster directories contain configuration, log and\nsecurity related files and are named using the convention\n'profile_<name>' and should be creating using the 'start'\nsubcommand of 'ipcluster'. If your cluster directory is in\nthe cwd or the ipython directory, you can simply refer to it\nusing its profile name, 'ipcluster start --n=4 --profile=<profile>`,\notherwise use the 'profile-dir' option.\n"
  examples = '\nipython profile create mycluster --parallel # create mycluster profile\nipcluster start --profile=mycluster --n=4   # start mycluster with 4 nodes\n'
  name = u'ipcluster'

class Instance(_Mock):
  pass
  info_text = 'any value'

class LoggingConfigurable(_Mock):
  pass


class ProfileDir(_Mock):
  pass


