from __future__ import print_function



class _MockMeta(type):
    def __getattr__(self, name):
        return _Mock()

class _Mock(object):
    __metaclass__ = _MockMeta
    def __init__(self, *a, **kw):
        object.__init__(self)
        for k,v in kw.iteritems():
            setattr(self, k, v)
    def __getattr__(*a, **kw): return _Mock()
    def __call__(*a, **kw): return _Mock()
    def __getitem__(*a, **kw): return _Mock()
    def __int__(*a, **kw): return 1
    def __contains__(*a, **kw): return False
    def __len__(*a, **kw): return 1
    def __iter__(*a, **kw): return iter([])
    def __exit__(*a, **kw): return False
    def __complex__(*a, **kw): return 1j
    def __float__(*a, **kw): return 1.0
    def __bool__(*a, **kw): return True
    def __nonzero__(*a, **kw): return True
    def __oct__(*a, **kw): return 1
    def __hex__(*a, **kw): return 0x1
    def __long__(*a, **kw): return long(1)
    def __index__(*a, **kw): return 1       


Token = _Mock()

dark_color = _Mock()

dark_style = _Mock()

get_colors = _Mock()

get_style_by_name = _Mock()

hex_to_rgb = _Mock()

rgb_to_hls = _Mock()

sheet_from_template = _Mock()

default_bw_style_sheet = '\n    QPlainTextEdit, QTextEdit { background-color: white;\n            color: black ;\n            selection-background-color: #cccccc}\n    .in-prompt-number { font-weight: bold; }\n    .out-prompt-number { font-weight: bold; }\n    .inverted { background-color: black ; color: white;}\n'

default_bw_syntax_style = 'bw'

default_dark_style_sheet = '\n    QPlainTextEdit, QTextEdit { background-color: black;\n            color: white ;\n            selection-background-color: #555}\n    QFrame { border: 1px solid grey; }\n    .error { color: red; }\n    .in-prompt { color: lime; }\n    .in-prompt-number { color: lime; font-weight: bold; }\n    .out-prompt { color: red; }\n    .out-prompt-number { color: red; font-weight: bold; }\n    .inverted { background-color: white ; color:black;}\n'

default_dark_style_template = '\n    QPlainTextEdit, QTextEdit { background-color: %(bgcolor)s;\n            color: %(fgcolor)s ;\n            selection-background-color: %(select)s}\n    QFrame { border: 1px solid grey; }\n    .error { color: red; }\n    .in-prompt { color: lime; }\n    .in-prompt-number { color: lime; font-weight: bold; }\n    .out-prompt { color: red; }\n    .out-prompt-number { color: red; font-weight: bold; }\n    .inverted { background-color: %(fgcolor)s ; color:%(bgcolor)s;}\n'

default_dark_syntax_style = 'monokai'

default_light_style_sheet = '\n    QPlainTextEdit, QTextEdit { background-color: white;\n            color: black ;\n            selection-background-color: #ccc}\n    .error { color: red; }\n    .in-prompt { color: navy; }\n    .in-prompt-number { font-weight: bold; }\n    .out-prompt { color: darkred; }\n    .out-prompt-number { font-weight: bold; }\n    .inverted { background-color: black ; color:white;}\n'

default_light_style_template = '\n    QPlainTextEdit, QTextEdit { background-color: %(bgcolor)s;\n            color: %(fgcolor)s ;\n            selection-background-color: %(select)s}\n    .error { color: red; }\n    .in-prompt { color: navy; }\n    .in-prompt-number { font-weight: bold; }\n    .out-prompt { color: darkred; }\n    .out-prompt-number { font-weight: bold; }\n    .inverted { background-color: %(fgcolor)s ; color:%(bgcolor)s;}\n'

default_light_syntax_style = 'default'



