from __future__ import print_function



class _MockMeta(type):
    def __getattr__(self, name):
        return _Mock()

class _Mock(object):
    __metaclass__ = _MockMeta
    def __init__(self, *a, **kw):
        object.__init__(self)
        for k,v in kw.iteritems():
            setattr(self, k, v)
    def __getattr__(*a, **kw): return _Mock()
    def __call__(*a, **kw): return _Mock()
    def __getitem__(*a, **kw): return _Mock()
    def __int__(*a, **kw): return 1
    def __contains__(*a, **kw): return False
    def __len__(*a, **kw): return 1
    def __iter__(*a, **kw): return iter([])
    def __exit__(*a, **kw): return False
    def __complex__(*a, **kw): return 1j
    def __float__(*a, **kw): return 1.0
    def __bool__(*a, **kw): return True
    def __nonzero__(*a, **kw): return True
    def __oct__(*a, **kw): return 1
    def __hex__(*a, **kw): return 0x1
    def __long__(*a, **kw): return long(1)
    def __index__(*a, **kw): return 1       


COLORMAPLIST = _Mock()

IconDict = _Mock()

Qwt5 = _Mock()

copy = _Mock()

main = _Mock()

make0 = _Mock()

numpy = _Mock()

qt = _Mock()

spslut = _Mock()

sys = _Mock()

time = _Mock()

DEBUG = 0

GRAPHEVENT = 1000

QTVERSION = '4.8.6'

USE_SPS_LUT = 1

class BlissCurve(_Mock):
  pass
  AutoScale = 2
  ClipPolygons = 2
  Dots = 4
  Fitted = 2
  Inverted = 1
  Legend = 1
  Lines = 1
  NoCurve = 0
  PaintFiltered = 1
  RenderAntialiased = 1
  Rtti_PlotCurve = 4
  Rtti_PlotGrid = 1
  Rtti_PlotHistogram = 5
  Rtti_PlotItem = 0
  Rtti_PlotMarker = 3
  Rtti_PlotSVG = 7
  Rtti_PlotScale = 2
  Rtti_PlotSpectrogram = 6
  Rtti_PlotUserItem = 1000
  Steps = 3
  Sticks = 2
  UserCurve = 100
  Xfy = 1
  Yfx = 0

class CrappyMouseEvent(_Mock):
  pass


class GraphCustomEvent(_Mock):
  pass
  AccessibilityDescription = 130
  AccessibilityHelp = 119
  AccessibilityPrepare = 86
  ActionAdded = 114
  ActionChanged = 113
  ActionRemoved = 115
  ActivationChange = 99
  ApplicationActivate = 121
  ApplicationActivated = 121
  ApplicationDeactivate = 122
  ApplicationDeactivated = 122
  ApplicationFontChange = 36
  ApplicationLayoutDirectionChange = 37
  ApplicationPaletteChange = 38
  ApplicationWindowIconChange = 35
  ChildAdded = 68
  ChildPolished = 69
  ChildRemoved = 71
  Clipboard = 40
  Close = 19
  CloseSoftwareInputPanel = 200
  ContextMenu = 82
  CursorChange = 183
  DeferredDelete = 52
  DragEnter = 60
  DragLeave = 62
  DragMove = 61
  Drop = 63
  DynamicPropertyChange = 170
  EnabledChange = 98
  Enter = 10
  EnterWhatsThisMode = 124
  FileOpen = 116
  FocusIn = 8
  FocusOut = 9
  FontChange = 97
  Gesture = 198
  GestureOverride = 202
  GrabKeyboard = 188
  GrabMouse = 186
  GraphicsSceneContextMenu = 159
  GraphicsSceneDragEnter = 164
  GraphicsSceneDragLeave = 166
  GraphicsSceneDragMove = 165
  GraphicsSceneDrop = 167
  GraphicsSceneHelp = 163
  GraphicsSceneHoverEnter = 160
  GraphicsSceneHoverLeave = 162
  GraphicsSceneHoverMove = 161
  GraphicsSceneMouseDoubleClick = 158
  GraphicsSceneMouseMove = 155
  GraphicsSceneMousePress = 156
  GraphicsSceneMouseRelease = 157
  GraphicsSceneMove = 182
  GraphicsSceneResize = 181
  GraphicsSceneWheel = 168
  Hide = 18
  HideToParent = 27
  HoverEnter = 127
  HoverLeave = 128
  HoverMove = 129
  IconDrag = 96
  IconTextChange = 101
  InputMethod = 83
  KeyPress = 6
  KeyRelease = 7
  KeyboardLayoutChange = 169
  LanguageChange = 89
  LayoutDirectionChange = 90
  LayoutRequest = 76
  Leave = 11
  LeaveWhatsThisMode = 125
  LocaleChange = 88
  MaxUser = 65535
  MenubarUpdated = 153
  MetaCall = 43
  ModifiedChange = 102
  MouseButtonDblClick = 4
  MouseButtonPress = 2
  MouseButtonRelease = 3
  MouseMove = 5
  MouseTrackingChange = 109
  Move = 13
  OkRequest = 94
  Paint = 12
  PaletteChange = 39
  ParentAboutToChange = 131
  ParentChange = 21
  PlatformPanel = 212
  Polish = 75
  PolishRequest = 74
  QueryWhatsThis = 123
  RequestSoftwareInputPanel = 199
  Resize = 14
  Shortcut = 117
  ShortcutOverride = 51
  Show = 17
  ShowToParent = 26
  SockAct = 50
  StateMachineSignal = 192
  StateMachineWrapped = 193
  StatusTip = 112
  StyleChange = 100
  TabletEnterProximity = 171
  TabletLeaveProximity = 172
  TabletMove = 87
  TabletPress = 92
  TabletRelease = 93
  Timer = 1
  ToolBarChange = 120
  ToolTip = 110
  ToolTipChange = 184
  TouchBegin = 194
  TouchEnd = 196
  TouchUpdate = 195
  UngrabKeyboard = 189
  UngrabMouse = 187
  UpdateLater = 78
  UpdateRequest = 77
  User = 1000
  WhatsThis = 111
  WhatsThisClicked = 118
  Wheel = 31
  WinEventAct = 132
  WinIdChange = 203
  WindowActivate = 24
  WindowBlocked = 103
  WindowDeactivate = 25
  WindowIconChange = 34
  WindowStateChange = 105
  WindowTitleChange = 33
  WindowUnblocked = 104
  ZOrderChange = 126

class MyPicker(_Mock):
  pass
  ActiveOnly = 2
  AlwaysOff = 0
  AlwaysOn = 1
  CenterToCorner = 128
  CenterToRadius = 256
  ClickSelection = 1024
  CornerToCorner = 64
  CrossRubberBand = 3
  DragSelection = 2048
  EllipseRubberBand = 5
  HLineRubberBand = 1
  KeepSize = 1
  KeyAbort = 2
  KeyDown = 6
  KeyHome = 9
  KeyLeft = 3
  KeyPatternCount = 10
  KeyRedo = 7
  KeyRight = 4
  KeySelect1 = 0
  KeySelect2 = 1
  KeyUndo = 8
  KeyUp = 5
  MousePatternCount = 6
  MouseSelect1 = 0
  MouseSelect2 = 1
  MouseSelect3 = 2
  MouseSelect4 = 3
  MouseSelect5 = 4
  MouseSelect6 = 5
  NoRubberBand = 0
  NoSelection = 0
  PointSelection = 1
  PolygonRubberBand = 6
  PolygonSelection = 4
  RectRubberBand = 4
  RectSelection = 2
  Stretch = 0
  UserRubberBand = 100
  VLineRubberBand = 2

class MyQwt5LegendItem(_Mock):
  pass
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  NoIdentifier = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  ShowLine = 1
  ShowSymbol = 2
  ShowText = 4
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class MyQwt5PlotCurve(_Mock):
  pass
  AutoScale = 2
  ClipPolygons = 2
  Dots = 4
  Fitted = 2
  Inverted = 1
  Legend = 1
  Lines = 1
  NoCurve = 0
  PaintFiltered = 1
  RenderAntialiased = 1
  Rtti_PlotCurve = 4
  Rtti_PlotGrid = 1
  Rtti_PlotHistogram = 5
  Rtti_PlotItem = 0
  Rtti_PlotMarker = 3
  Rtti_PlotSVG = 7
  Rtti_PlotScale = 2
  Rtti_PlotSpectrogram = 6
  Rtti_PlotUserItem = 1000
  Steps = 3
  Sticks = 2
  UserCurve = 100
  Xfy = 1
  Yfx = 0

class QString(_Mock):
  pass
  KeepEmptyParts = 0
  NormalizationForm_C = 1
  NormalizationForm_D = 0
  NormalizationForm_KC = 3
  NormalizationForm_KD = 2
  SectionCaseInsensitiveSeps = 8
  SectionDefault = 0
  SectionIncludeLeadingSep = 2
  SectionIncludeTrailingSep = 4
  SectionSkipEmpty = 1
  SkipEmptyParts = 1

class QtBlissGraph(_Mock):
  pass
  BottomLegend = 2
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  ExternalLegend = 4
  HLine = 4
  IgnoreMask = 4
  LeftLegend = 0
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  RightLegend = 1
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  TopLegend = 3
  VLine = 5
  WinPanel = 3
  axisCnt = 4
  xBottom = 2
  xTop = 3
  yLeft = 0
  yRight = 1

class QtBlissGraphContainer(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class QtBlissGraphWindow(_Mock):
  pass
  AllowNestedDocks = 2
  AllowTabbedDocks = 4
  AnimatedDocks = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  ForceTabbedDocks = 8
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  VerticalTabs = 16

class Qwt5PlotImage(_Mock):
  pass
  AutoScale = 2
  Legend = 1
  RenderAntialiased = 1
  Rtti_PlotCurve = 4
  Rtti_PlotGrid = 1
  Rtti_PlotHistogram = 5
  Rtti_PlotItem = 0
  Rtti_PlotMarker = 3
  Rtti_PlotSVG = 7
  Rtti_PlotScale = 2
  Rtti_PlotSpectrogram = 6
  Rtti_PlotUserItem = 1000

class TimeScaleDraw(_Mock):
  pass
  Backbone = 1
  BottomScale = 0
  Labels = 4
  LeftScale = 2
  RightScale = 3
  Ticks = 2
  TopScale = 1

