from __future__ import print_function



class _MockMeta(type):
    def __getattr__(self, name):
        return _Mock()

class _Mock(object):
    __metaclass__ = _MockMeta
    def __init__(self, *a, **kw):
        object.__init__(self)
        for k,v in kw.iteritems():
            setattr(self, k, v)
    def __getattr__(*a, **kw): return _Mock()
    def __call__(*a, **kw): return _Mock()
    def __getitem__(*a, **kw): return _Mock()
    def __int__(*a, **kw): return 1
    def __contains__(*a, **kw): return False
    def __len__(*a, **kw): return 1
    def __iter__(*a, **kw): return iter([])
    def __exit__(*a, **kw): return False
    def __complex__(*a, **kw): return 1j
    def __float__(*a, **kw): return 1.0
    def __bool__(*a, **kw): return True
    def __nonzero__(*a, **kw): return True
    def __oct__(*a, **kw): return 1
    def __hex__(*a, **kw): return 0x1
    def __long__(*a, **kw): return long(1)
    def __index__(*a, **kw): return 1       


absolute_import = _Mock()

compilers = _Mock()

division = _Mock()

get_exception = _Mock()

os = _Mock()

print_function = _Mock()

sys = _Mock()



class CompaqFCompiler(_Mock):
  pass
  EXECUTABLE = 'executable'
  SHARED_LIBRARY = 'shared_library'
  SHARED_OBJECT = 'shared_object'
  compile_switch = '-c'
  compiler_type = 'compaq'
  description = 'Compaq Fortran Compiler'
  exe_extension = ''
  fc_exe = 'fort'
  library_switch = '-o '
  module_dir_switch = '-module '
  module_include_switch = '-I'
  obj_extension = '.o'
  object_switch = '-o '
  shared_lib_extension = '.so'
  shared_lib_format = '%s%s'
  static_lib_extension = '.a'
  static_lib_format = 'lib%s%s'
  version_pattern = 'Compaq Fortran (?P<version>[^\\s]*).*'

class CompaqVisualFCompiler(_Mock):
  pass
  EXECUTABLE = 'executable'
  SHARED_LIBRARY = 'shared_library'
  SHARED_OBJECT = 'shared_object'
  ar_exe = 'lib.exe'
  compile_switch = '/compile_only'
  compiler_type = 'compaqv'
  description = 'DIGITAL or Compaq Visual Fortran Compiler'
  exe_extension = ''
  fc_exe = 'DF'
  library_switch = '/OUT:'
  module_dir_switch = '/module:'
  module_include_switch = '/I'
  obj_extension = '.o'
  object_switch = '/object:'
  shared_lib_extension = '.so'
  shared_lib_format = '%s%s'
  static_lib_extension = '.lib'
  static_lib_format = '%s%s'
  version_pattern = '(DIGITAL|Compaq) Visual Fortran Optimizing Compiler Version (?P<version>[^\\s]*).*'

class DistutilsPlatformError(_Mock):
  pass


class FCompiler(_Mock):
  pass
  EXECUTABLE = 'executable'
  SHARED_LIBRARY = 'shared_library'
  SHARED_OBJECT = 'shared_object'
  compile_switch = '-c'
  exe_extension = ''
  library_switch = '-o '
  module_include_switch = '-I'
  obj_extension = '.o'
  object_switch = '-o '
  shared_lib_extension = '.so'
  shared_lib_format = '%s%s'
  static_lib_extension = '.a'
  static_lib_format = 'lib%s%s'

