from __future__ import print_function



class _MockMeta(type):
    def __getattr__(self, name):
        return _Mock()

class _Mock(object):
    __metaclass__ = _MockMeta
    def __init__(self, *a, **kw):
        object.__init__(self)
        for k,v in kw.iteritems():
            setattr(self, k, v)
    def __getattr__(*a, **kw): return _Mock()
    def __call__(*a, **kw): return _Mock()
    def __getitem__(*a, **kw): return _Mock()
    def __int__(*a, **kw): return 1
    def __contains__(*a, **kw): return False
    def __len__(*a, **kw): return 1
    def __iter__(*a, **kw): return iter([])
    def __exit__(*a, **kw): return False
    def __complex__(*a, **kw): return 1j
    def __float__(*a, **kw): return 1.0
    def __bool__(*a, **kw): return True
    def __nonzero__(*a, **kw): return True
    def __oct__(*a, **kw): return 1
    def __hex__(*a, **kw): return 0x1
    def __long__(*a, **kw): return long(1)
    def __index__(*a, **kw): return 1       


EDIT_EXT = _Mock()

EDIT_FILETYPES = _Mock()

SIGNAL = _Mock()

STDERR = _Mock()

STDOUT = _Mock()

Slot = _Mock()

_ = _Mock()

add_actions = _Mock()

codeanalysis = _Mock()

codeeditor = _Mock()

create_action = _Mock()

create_shortcut = _Mock()

create_toolbutton = _Mock()

encoding = _Mock()

get_file_language = _Mock()

get_filetype_icon = _Mock()

get_filter = _Mock()

get_icon = _Mock()

get_preferred_submodules = _Mock()

getsavefilename = _Mock()

getsignaturefromtext = _Mock()

introspection = _Mock()

mimedata2url = _Mock()

module_completion = _Mock()

os = _Mock()

osp = _Mock()

print_function = _Mock()

qbytearray_to_str = _Mock()

re = _Mock()

sourcecode = _Mock()

syntaxhighlighters = _Mock()

sys = _Mock()

test = _Mock()

to_text_string = _Mock()

u = _Mock()

DEBUG = 0

DEBUG_EDITOR = _Mock()

EDIT_FILTERS = u'Python files (*.py *.pyw *.ipy);;Cython/Pyrex files (*.pyx *.pxd *.pxi);;C files (*.c *.h);;C++ files (*.cc *.cpp *.cxx *.h *.hh *.hpp *.hxx);;OpenCL files (*.cl);;Fortran files (*.f *.for *.f77 *.f90 *.f95 *.f2k);;IDL files (*.pro);;MATLAB files (*.m);;Julia files (*.jl);;Patch and diff files (*.patch *.diff *.rej);;Batch files (*.bat *.cmd);;Text files (*.txt);;reStructured Text files (*.txt *.rst);;gettext files (*.po *.pot);;NSIS files (*.nsi *.nsh);;Web page files (*.css *.htm *.html);;XML files (*.xml);;Javascript files (*.js);;Enaml files (*.enaml);;Configuration files (*.properties *.session *.ini *.inf *.reg *.cfg *.desktop);;All files (*)'

is_pyqt46 = _Mock()

class AnalysisThread(_Mock):
  pass
  HighPriority = 4
  HighestPriority = 5
  IdlePriority = 0
  InheritPriority = 7
  LowPriority = 2
  LowestPriority = 1
  NormalPriority = 3
  TimeCriticalPriority = 6

class BaseTabs(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  East = 3
  IgnoreMask = 4
  North = 0
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Rounded = 0
  South = 1
  Triangular = 1
  West = 2

class CursorPositionStatus(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class EOLStatus(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class EditorMainWindow(_Mock):
  pass
  AllowNestedDocks = 2
  AllowTabbedDocks = 4
  AnimatedDocks = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  ForceTabbedDocks = 8
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  VerticalTabs = 16

class EditorPluginExample(_Mock):
  pass
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class EditorSplitter(_Mock):
  pass
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class EditorStack(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class EditorWidget(_Mock):
  pass
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class EncodingStatus(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class FileInfo(_Mock):
  pass


class FileListDialog(_Mock):
  pass
  Accepted = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Rejected = 0

class FindReplace(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class GetSubmodulesThread(_Mock):
  pass
  HighPriority = 4
  HighestPriority = 5
  IdlePriority = 0
  InheritPriority = 7
  LowPriority = 2
  LowestPriority = 1
  NormalPriority = 3
  TimeCriticalPriority = 6

class OutlineExplorerWidget(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class Printer(_Mock):
  pass
  A0 = 5
  A1 = 6
  A2 = 7
  A3 = 8
  A4 = 0
  A5 = 9
  A6 = 10
  A7 = 11
  A8 = 12
  A9 = 13
  Aborted = 2
  Active = 1
  AllPages = 0
  Auto = 6
  B0 = 14
  B1 = 15
  B10 = 16
  B2 = 17
  B3 = 18
  B4 = 19
  B5 = 1
  B6 = 20
  B7 = 21
  B8 = 22
  B9 = 23
  C5E = 24
  Cassette = 11
  Cicero = 5
  Color = 1
  Comm10E = 25
  CurrentPage = 3
  Custom = 30
  DLE = 26
  DevicePixel = 6
  Didot = 4
  DuplexAuto = 1
  DuplexLongSide = 2
  DuplexNone = 0
  DuplexShortSide = 3
  Envelope = 4
  EnvelopeManual = 5
  Error = 3
  Executive = 4
  FirstPageFirst = 0
  Folio = 27
  FormSource = 12
  GrayScale = 0
  HighResolution = 2
  Idle = 0
  Inch = 2
  Landscape = 1
  LargeCapacity = 10
  LargeFormat = 9
  LastPageFirst = 1
  Ledger = 28
  Legal = 3
  Letter = 2
  Lower = 1
  Manual = 3
  MaxPageSource = 13
  Middle = 2
  Millimeter = 0
  NativeFormat = 0
  OnlyOne = 0
  PageRange = 2
  PdfFormat = 1
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Pica = 3
  Point = 1
  Portrait = 0
  PostScriptFormat = 2
  PrinterResolution = 1
  ScreenResolution = 0
  Selection = 1
  SmallFormat = 8
  Tabloid = 29
  Tractor = 7

class QAction(_Mock):
  pass
  AboutQtRole = 3
  AboutRole = 4
  ApplicationSpecificRole = 2
  HighPriority = 256
  Hover = 1
  LowPriority = 0
  NegativeSoftKey = 2
  NoRole = 0
  NoSoftKey = 0
  NormalPriority = 128
  PositiveSoftKey = 1
  PreferencesRole = 5
  QuitRole = 6
  SelectSoftKey = 3
  TextHeuristicRole = 1
  Trigger = 0

class QApplication(_Mock):
  pass
  CodecForTr = 0
  CustomColor = 1
  DefaultCodec = 0
  GuiClient = 1
  GuiServer = 2
  ManyColor = 2
  NormalColor = 0
  Tty = 0
  UnicodeUTF8 = 1

class QByteArray(_Mock):
  pass


class QDialog(_Mock):
  pass
  Accepted = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Rejected = 0

class QFileInfo(_Mock):
  pass


class QFont(_Mock):
  pass
  AbsoluteSpacing = 1
  AllLowercase = 2
  AllUppercase = 1
  AnyStyle = 5
  Black = 87
  Bold = 75
  Capitalize = 4
  Condensed = 75
  Courier = 2
  Cursive = 6
  Decorative = 3
  DemiBold = 63
  Expanded = 125
  ExtraCondensed = 62
  ExtraExpanded = 150
  Fantasy = 8
  ForceIntegerMetrics = 1024
  ForceOutline = 16
  Helvetica = 0
  Light = 25
  MixedCase = 0
  Monospace = 7
  NoAntialias = 256
  NoFontMerging = 32768
  Normal = 50
  OldEnglish = 3
  OpenGLCompatible = 512
  PercentageSpacing = 0
  PreferAntialias = 128
  PreferBitmap = 2
  PreferDefault = 1
  PreferDefaultHinting = 0
  PreferDevice = 4
  PreferFullHinting = 3
  PreferMatch = 32
  PreferNoHinting = 1
  PreferOutline = 8
  PreferQuality = 64
  PreferVerticalHinting = 2
  SansSerif = 0
  SemiCondensed = 87
  SemiExpanded = 112
  Serif = 1
  SmallCaps = 3
  StyleItalic = 1
  StyleNormal = 0
  StyleOblique = 2
  System = 4
  Times = 1
  TypeWriter = 2
  UltraCondensed = 50
  UltraExpanded = 200
  Unstretched = 100

class QHBoxLayout(_Mock):
  pass
  BottomToTop = 3
  Down = 2
  LeftToRight = 0
  RightToLeft = 1
  SetDefaultConstraint = 0
  SetFixedSize = 3
  SetMaximumSize = 4
  SetMinAndMaxSize = 5
  SetMinimumSize = 2
  SetNoConstraint = 1
  TopToBottom = 2
  Up = 3

class QKeySequence(_Mock):
  pass
  AddTab = 19
  Back = 13
  Bold = 27
  Close = 4
  Copy = 9
  Cut = 8
  Delete = 7
  DeleteEndOfLine = 60
  DeleteEndOfWord = 59
  DeleteStartOfWord = 58
  ExactMatch = 2
  Find = 22
  FindNext = 23
  FindPrevious = 24
  Forward = 14
  HelpContents = 1
  InsertLineSeparator = 62
  InsertParagraphSeparator = 61
  Italic = 28
  MoveToEndOfBlock = 41
  MoveToEndOfDocument = 43
  MoveToEndOfLine = 39
  MoveToNextChar = 30
  MoveToNextLine = 34
  MoveToNextPage = 36
  MoveToNextWord = 32
  MoveToPreviousChar = 31
  MoveToPreviousLine = 35
  MoveToPreviousPage = 37
  MoveToPreviousWord = 33
  MoveToStartOfBlock = 40
  MoveToStartOfDocument = 42
  MoveToStartOfLine = 38
  NativeText = 0
  New = 6
  NextChild = 20
  NoMatch = 0
  Open = 3
  PartialMatch = 1
  Paste = 10
  PortableText = 1
  Preferences = 64
  PreviousChild = 21
  Print = 18
  Quit = 65
  Redo = 12
  Refresh = 15
  Replace = 25
  Save = 5
  SaveAs = 63
  SelectAll = 26
  SelectEndOfBlock = 55
  SelectEndOfDocument = 57
  SelectEndOfLine = 53
  SelectNextChar = 44
  SelectNextLine = 48
  SelectNextPage = 50
  SelectNextWord = 46
  SelectPreviousChar = 45
  SelectPreviousLine = 49
  SelectPreviousPage = 51
  SelectPreviousWord = 47
  SelectStartOfBlock = 54
  SelectStartOfDocument = 56
  SelectStartOfLine = 52
  Underline = 29
  Undo = 11
  UnknownKey = 0
  WhatsThis = 2
  ZoomIn = 16
  ZoomOut = 17

class QLabel(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class QLineEdit(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  NoEcho = 1
  Normal = 0
  Password = 2
  PasswordEchoOnEdit = 3
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class QListWidget(_Mock):
  pass
  AboveItem = 1
  Adjust = 1
  AllEditTriggers = 31
  AnimatingState = 6
  AnyKeyPressed = 16
  Batched = 1
  BelowItem = 2
  Box = 1
  CollapsingState = 5
  ContiguousSelection = 4
  CurrentChanged = 1
  DoubleClicked = 2
  DragDrop = 3
  DragOnly = 1
  DragSelectingState = 2
  DraggingState = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  DropOnly = 2
  EditKeyPressed = 8
  EditingState = 3
  EnsureVisible = 0
  ExpandingState = 4
  ExtendedSelection = 3
  Fixed = 0
  Free = 1
  HLine = 4
  IconMode = 1
  IgnoreMask = 4
  InternalMove = 4
  LeftToRight = 0
  ListMode = 0
  MoveDown = 1
  MoveEnd = 5
  MoveHome = 4
  MoveLeft = 2
  MoveNext = 8
  MovePageDown = 7
  MovePageUp = 6
  MovePrevious = 9
  MoveRight = 3
  MoveUp = 0
  MultiSelection = 2
  NoDragDrop = 0
  NoEditTriggers = 0
  NoFrame = 0
  NoSelection = 0
  NoState = 0
  OnItem = 0
  OnViewport = 3
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  PositionAtBottom = 2
  PositionAtCenter = 3
  PositionAtTop = 1
  Raised = 32
  ScrollPerItem = 0
  ScrollPerPixel = 1
  SelectColumns = 2
  SelectItems = 0
  SelectRows = 1
  SelectedClicked = 4
  Shadow_Mask = 240
  Shape_Mask = 15
  SinglePass = 0
  SingleSelection = 1
  Snap = 2
  Static = 0
  StyledPanel = 6
  Sunken = 48
  TopToBottom = 1
  VLine = 5
  WinPanel = 3

class QListWidgetItem(_Mock):
  pass
  Type = 0
  UserType = 1000

class QMainWindow(_Mock):
  pass
  AllowNestedDocks = 2
  AllowTabbedDocks = 4
  AnimatedDocks = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  ForceTabbedDocks = 8
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  VerticalTabs = 16

class QMenu(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class QMessageBox(_Mock):
  pass
  Abort = 262144
  AcceptRole = 0
  Accepted = 1
  ActionRole = 3
  Apply = 33554432
  ApplyRole = 8
  ButtonMask = -769
  Cancel = 4194304
  Close = 2097152
  Critical = 3
  Default = 256
  DestructiveRole = 2
  Discard = 8388608
  DrawChildren = 2
  DrawWindowBackground = 1
  Escape = 512
  FirstButton = 1024
  FlagMask = 768
  Help = 16777216
  HelpRole = 4
  Ignore = 1048576
  IgnoreMask = 4
  Information = 1
  InvalidRole = -1
  LastButton = 134217728
  No = 65536
  NoAll = 131072
  NoButton = 0
  NoIcon = 0
  NoRole = 6
  NoToAll = 131072
  Ok = 1024
  Open = 8192
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Question = 4
  RejectRole = 1
  Rejected = 0
  Reset = 67108864
  ResetRole = 7
  RestoreDefaults = 134217728
  Retry = 524288
  Save = 2048
  SaveAll = 4096
  Warning = 2
  Yes = 16384
  YesAll = 32768
  YesRole = 5
  YesToAll = 32768

class QObject(_Mock):
  pass


class QPoint(_Mock):
  pass


class QShortcut(_Mock):
  pass


class QSize(_Mock):
  pass


class QSplitter(_Mock):
  pass
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class QThread(_Mock):
  pass
  HighPriority = 4
  HighestPriority = 5
  IdlePriority = 0
  InheritPriority = 7
  LowPriority = 2
  LowestPriority = 1
  NormalPriority = 3
  TimeCriticalPriority = 6

class QTimer(_Mock):
  pass


class QVBoxLayout(_Mock):
  pass
  BottomToTop = 3
  Down = 2
  LeftToRight = 0
  RightToLeft = 1
  SetDefaultConstraint = 0
  SetFixedSize = 3
  SetMaximumSize = 4
  SetMinAndMaxSize = 5
  SetMinimumSize = 2
  SetNoConstraint = 1
  TopToBottom = 2
  Up = 3

class QWidget(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class Qt(_Mock):
  pass
  AA_CaptureMultimediaKeys = 11
  AA_DontCreateNativeWidgetSiblings = 4
  AA_DontShowIconsInMenus = 2
  AA_DontUseNativeMenuBar = 6
  AA_ImmediateWidgetCreation = 0
  AA_MSWindowsUseDirect3DByDefault = 1
  AA_MacDontSwapCtrlAndMeta = 7
  AA_MacPluginApplication = 5
  AA_NativeWindows = 3
  AA_S60DisablePartialScreenInputMode = 9
  AA_S60DontConstructApplicationPanes = 8
  AA_X11InitThreads = 10
  ALT = 134217728
  AbsoluteSize = 0
  AccessibleDescriptionRole = 12
  AccessibleTextRole = 11
  ActionMask = 255
  ActionsContextMenu = 2
  ActiveWindowFocusReason = 3
  AlignAbsolute = 16
  AlignBottom = 64
  AlignCenter = 132
  AlignHCenter = 4
  AlignHorizontal_Mask = 31
  AlignJustify = 8
  AlignLeading = 1
  AlignLeft = 1
  AlignRight = 2
  AlignTop = 32
  AlignTrailing = 2
  AlignVCenter = 128
  AlignVertical_Mask = 224
  AllDockWidgetAreas = 15
  AllToolBarAreas = 15
  AltModifier = 134217728
  AnchorBottom = 5
  AnchorHorizontalCenter = 1
  AnchorHref = 1
  AnchorLeft = 0
  AnchorName = 0
  AnchorRight = 2
  AnchorTop = 3
  AnchorVerticalCenter = 4
  ApplicationModal = 2
  ApplicationShortcut = 2
  ArrowCursor = 0
  AscendingOrder = 0
  AutoColor = 0
  AutoCompatConnection = 3
  AutoConnection = 0
  AutoDither = 0
  AutoText = 2
  AvoidDither = 128
  BDiagPattern = 12
  BackgroundColorRole = 8
  BackgroundRole = 8
  BacktabFocusReason = 2
  BevelJoin = 64
  BitmapCursor = 24
  BlankCursor = 10
  BlockingQueuedConnection = 4
  BottomDockWidgetArea = 8
  BottomLeftCorner = 2
  BottomLeftSection = 8
  BottomRightCorner = 3
  BottomRightSection = 6
  BottomSection = 7
  BottomToolBarArea = 8
  BusyCursor = 16
  BypassGraphicsProxyWidget = 536870912
  CTRL = 67108864
  CaseInsensitive = 0
  CaseSensitive = 1
  CheckStateRole = 10
  Checked = 2
  ClickFocus = 2
  ClosedHandCursor = 18
  ColorOnly = 3
  ConicalGradientPattern = 17
  ContainsItemBoundingRect = 2
  ContainsItemShape = 0
  ControlModifier = 67108864
  CopyAction = 1
  CrossCursor = 2
  CrossPattern = 11
  CustomContextMenu = 3
  CustomCursor = 25
  CustomDashLine = 6
  CustomGesture = 256
  CustomizeWindowHint = 33554432
  DashDotDotLine = 5
  DashDotLine = 4
  DashLine = 2
  DecorationRole = 1
  DefaultContextMenu = 1
  DefaultLocaleLongDate = 7
  DefaultLocaleShortDate = 6
  Dense1Pattern = 2
  Dense2Pattern = 3
  Dense3Pattern = 4
  Dense4Pattern = 5
  Dense5Pattern = 6
  Dense6Pattern = 7
  Dense7Pattern = 8
  DescendingOrder = 1
  Desktop = 17
  DeviceCoordinates = 0
  DiagCrossPattern = 14
  Dialog = 3
  DiffuseAlphaDither = 8
  DiffuseDither = 0
  DirectConnection = 1
  DisplayRole = 0
  DockWidgetArea_Mask = 15
  DontStartGestureOnChildren = 1
  DotLine = 3
  DownArrow = 2
  DragCopyCursor = 19
  DragLinkCursor = 21
  DragMoveCursor = 20
  Drawer = 7
  EditRole = 2
  ElideLeft = 0
  ElideMiddle = 2
  ElideNone = 3
  ElideRight = 1
  ExactHit = 0
  FDiagPattern = 13
  FastTransformation = 0
  FlatCap = 0
  FontRole = 6
  ForbiddenCursor = 14
  ForegroundRole = 9
  FramelessWindowHint = 2048
  Friday = 5
  FuzzyHit = 1
  GestureCanceled = 4
  GestureFinished = 3
  GestureStarted = 1
  GestureUpdated = 2
  GroupSwitchModifier = 1073741824
  HighEventPriority = 1
  HorPattern = 9
  Horizontal = 1
  IBeamCursor = 4
  ISODate = 1
  IgnoreAction = 0
  IgnoreAspectRatio = 0
  IgnoredGesturesPropagateToParent = 4
  ImAnchorPosition = 6
  ImCurrentSelection = 4
  ImCursorPosition = 2
  ImFont = 1
  ImMaximumTextLength = 5
  ImMicroFocus = 0
  ImSurroundingText = 3
  ImhDialableCharactersOnly = 1048576
  ImhDigitsOnly = 65536
  ImhEmailCharactersOnly = 2097152
  ImhExclusiveInputMask = -65536
  ImhFormattedNumbersOnly = 131072
  ImhHiddenText = 1
  ImhLowercaseOnly = 524288
  ImhNoAutoUppercase = 2
  ImhNoPredictiveText = 32
  ImhNone = 0
  ImhPreferLowercase = 16
  ImhPreferNumbers = 4
  ImhPreferUppercase = 8
  ImhUppercaseOnly = 262144
  ImhUrlCharactersOnly = 4194304
  InitialSortOrderRole = 14
  IntersectClip = 2
  IntersectsItemBoundingRect = 3
  IntersectsItemShape = 1
  ItemIsDragEnabled = 4
  ItemIsDropEnabled = 8
  ItemIsEditable = 2
  ItemIsEnabled = 32
  ItemIsSelectable = 1
  ItemIsTristate = 64
  ItemIsUserCheckable = 16
  KeepAspectRatio = 1
  KeepAspectRatioByExpanding = 2
  Key_0 = 48
  Key_1 = 49
  Key_2 = 50
  Key_3 = 51
  Key_4 = 52
  Key_5 = 53
  Key_6 = 54
  Key_7 = 55
  Key_8 = 56
  Key_9 = 57
  Key_A = 65
  Key_AE = 198
  Key_Aacute = 193
  Key_Acircumflex = 194
  Key_AddFavorite = 16777408
  Key_Adiaeresis = 196
  Key_Agrave = 192
  Key_Alt = 16777251
  Key_AltGr = 16781571
  Key_Ampersand = 38
  Key_Any = 32
  Key_Apostrophe = 39
  Key_ApplicationLeft = 16777415
  Key_ApplicationRight = 16777416
  Key_Aring = 197
  Key_AsciiCircum = 94
  Key_AsciiTilde = 126
  Key_Asterisk = 42
  Key_At = 64
  Key_Atilde = 195
  Key_AudioCycleTrack = 16777478
  Key_AudioForward = 16777474
  Key_AudioRandomPlay = 16777476
  Key_AudioRepeat = 16777475
  Key_AudioRewind = 16777413
  Key_Away = 16777464
  Key_B = 66
  Key_Back = 16777313
  Key_BackForward = 16777414
  Key_Backslash = 92
  Key_Backspace = 16777219
  Key_Backtab = 16777218
  Key_Bar = 124
  Key_BassBoost = 16777331
  Key_BassDown = 16777333
  Key_BassUp = 16777332
  Key_Battery = 16777470
  Key_Bluetooth = 16777471
  Key_Book = 16777417
  Key_BraceLeft = 123
  Key_BraceRight = 125
  Key_BracketLeft = 91
  Key_BracketRight = 93
  Key_BrightnessAdjust = 16777410
  Key_C = 67
  Key_CD = 16777418
  Key_Calculator = 16777419
  Key_Calendar = 16777444
  Key_Call = 17825796
  Key_Camera = 17825824
  Key_CameraFocus = 17825825
  Key_Cancel = 16908289
  Key_CapsLock = 16777252
  Key_Ccedilla = 199
  Key_Clear = 16777227
  Key_ClearGrab = 16777421
  Key_Close = 16777422
  Key_Codeinput = 16781623
  Key_Colon = 58
  Key_Comma = 44
  Key_Community = 16777412
  Key_Context1 = 17825792
  Key_Context2 = 17825793
  Key_Context3 = 17825794
  Key_Context4 = 17825795
  Key_ContrastAdjust = 16777485
  Key_Control = 16777249
  Key_Copy = 16777423
  Key_Cut = 16777424
  Key_D = 68
  Key_DOS = 16777426
  Key_Dead_Abovedot = 16781910
  Key_Dead_Abovering = 16781912
  Key_Dead_Acute = 16781905
  Key_Dead_Belowdot = 16781920
  Key_Dead_Breve = 16781909
  Key_Dead_Caron = 16781914
  Key_Dead_Cedilla = 16781915
  Key_Dead_Circumflex = 16781906
  Key_Dead_Diaeresis = 16781911
  Key_Dead_Doubleacute = 16781913
  Key_Dead_Grave = 16781904
  Key_Dead_Hook = 16781921
  Key_Dead_Horn = 16781922
  Key_Dead_Iota = 16781917
  Key_Dead_Macron = 16781908
  Key_Dead_Ogonek = 16781916
  Key_Dead_Semivoiced_Sound = 16781919
  Key_Dead_Tilde = 16781907
  Key_Dead_Voiced_Sound = 16781918
  Key_Delete = 16777223
  Key_Direction_L = 16777305
  Key_Direction_R = 16777312
  Key_Display = 16777425
  Key_Documents = 16777427
  Key_Dollar = 36
  Key_Down = 16777237
  Key_E = 69
  Key_ETH = 208
  Key_Eacute = 201
  Key_Ecircumflex = 202
  Key_Ediaeresis = 203
  Key_Egrave = 200
  Key_Eisu_Shift = 16781615
  Key_Eisu_toggle = 16781616
  Key_Eject = 16777401
  Key_End = 16777233
  Key_Enter = 16777221
  Key_Equal = 61
  Key_Escape = 16777216
  Key_Excel = 16777428
  Key_Exclam = 33
  Key_Execute = 16908291
  Key_Explorer = 16777429
  Key_F = 70
  Key_F1 = 16777264
  Key_F10 = 16777273
  Key_F11 = 16777274
  Key_F12 = 16777275
  Key_F13 = 16777276
  Key_F14 = 16777277
  Key_F15 = 16777278
  Key_F16 = 16777279
  Key_F17 = 16777280
  Key_F18 = 16777281
  Key_F19 = 16777282
  Key_F2 = 16777265
  Key_F20 = 16777283
  Key_F21 = 16777284
  Key_F22 = 16777285
  Key_F23 = 16777286
  Key_F24 = 16777287
  Key_F25 = 16777288
  Key_F26 = 16777289
  Key_F27 = 16777290
  Key_F28 = 16777291
  Key_F29 = 16777292
  Key_F3 = 16777266
  Key_F30 = 16777293
  Key_F31 = 16777294
  Key_F32 = 16777295
  Key_F33 = 16777296
  Key_F34 = 16777297
  Key_F35 = 16777298
  Key_F4 = 16777267
  Key_F5 = 16777268
  Key_F6 = 16777269
  Key_F7 = 16777270
  Key_F8 = 16777271
  Key_F9 = 16777272
  Key_Favorites = 16777361
  Key_Finance = 16777411
  Key_Flip = 17825798
  Key_Forward = 16777314
  Key_G = 71
  Key_Game = 16777430
  Key_Go = 16777431
  Key_Greater = 62
  Key_H = 72
  Key_Hangul = 16781617
  Key_Hangul_Banja = 16781625
  Key_Hangul_End = 16781619
  Key_Hangul_Hanja = 16781620
  Key_Hangul_Jamo = 16781621
  Key_Hangul_Jeonja = 16781624
  Key_Hangul_PostHanja = 16781627
  Key_Hangul_PreHanja = 16781626
  Key_Hangul_Romaja = 16781622
  Key_Hangul_Special = 16781631
  Key_Hangul_Start = 16781618
  Key_Hangup = 17825797
  Key_Hankaku = 16781609
  Key_Help = 16777304
  Key_Henkan = 16781603
  Key_Hibernate = 16777480
  Key_Hiragana = 16781605
  Key_Hiragana_Katakana = 16781607
  Key_History = 16777407
  Key_Home = 16777232
  Key_HomePage = 16777360
  Key_HotLinks = 16777409
  Key_Hyper_L = 16777302
  Key_Hyper_R = 16777303
  Key_I = 73
  Key_Iacute = 205
  Key_Icircumflex = 206
  Key_Idiaeresis = 207
  Key_Igrave = 204
  Key_Insert = 16777222
  Key_J = 74
  Key_K = 75
  Key_Kana_Lock = 16781613
  Key_Kana_Shift = 16781614
  Key_Kanji = 16781601
  Key_Katakana = 16781606
  Key_KeyboardBrightnessDown = 16777398
  Key_KeyboardBrightnessUp = 16777397
  Key_KeyboardLightOnOff = 16777396
  Key_L = 76
  Key_LastNumberRedial = 17825801
  Key_Launch0 = 16777378
  Key_Launch1 = 16777379
  Key_Launch2 = 16777380
  Key_Launch3 = 16777381
  Key_Launch4 = 16777382
  Key_Launch5 = 16777383
  Key_Launch6 = 16777384
  Key_Launch7 = 16777385
  Key_Launch8 = 16777386
  Key_Launch9 = 16777387
  Key_LaunchA = 16777388
  Key_LaunchB = 16777389
  Key_LaunchC = 16777390
  Key_LaunchD = 16777391
  Key_LaunchE = 16777392
  Key_LaunchF = 16777393
  Key_LaunchG = 16777486
  Key_LaunchH = 16777487
  Key_LaunchMail = 16777376
  Key_LaunchMedia = 16777377
  Key_Left = 16777234
  Key_Less = 60
  Key_LightBulb = 16777405
  Key_LogOff = 16777433
  Key_M = 77
  Key_MailForward = 16777467
  Key_Market = 16777434
  Key_Massyo = 16781612
  Key_MediaLast = 16842751
  Key_MediaNext = 16777347
  Key_MediaPause = 16777349
  Key_MediaPlay = 16777344
  Key_MediaPrevious = 16777346
  Key_MediaRecord = 16777348
  Key_MediaStop = 16777345
  Key_MediaTogglePlayPause = 16777350
  Key_Meeting = 16777435
  Key_Memo = 16777404
  Key_Menu = 16777301
  Key_MenuKB = 16777436
  Key_MenuPB = 16777437
  Key_Messenger = 16777465
  Key_Meta = 16777250
  Key_Minus = 45
  Key_Mode_switch = 16781694
  Key_MonBrightnessDown = 16777395
  Key_MonBrightnessUp = 16777394
  Key_Muhenkan = 16781602
  Key_Multi_key = 16781600
  Key_MultipleCandidate = 16781629
  Key_Music = 16777469
  Key_MySites = 16777438
  Key_N = 78
  Key_News = 16777439
  Key_No = 16842754
  Key_Ntilde = 209
  Key_NumLock = 16777253
  Key_NumberSign = 35
  Key_O = 79
  Key_Oacute = 211
  Key_Ocircumflex = 212
  Key_Odiaeresis = 214
  Key_OfficeHome = 16777440
  Key_Ograve = 210
  Key_Ooblique = 216
  Key_OpenUrl = 16777364
  Key_Option = 16777441
  Key_Otilde = 213
  Key_P = 80
  Key_PageDown = 16777239
  Key_PageUp = 16777238
  Key_ParenLeft = 40
  Key_ParenRight = 41
  Key_Paste = 16777442
  Key_Pause = 16777224
  Key_Percent = 37
  Key_Period = 46
  Key_Phone = 16777443
  Key_Pictures = 16777468
  Key_Play = 16908293
  Key_Plus = 43
  Key_PowerDown = 16777483
  Key_PowerOff = 16777399
  Key_PreviousCandidate = 16781630
  Key_Print = 16777225
  Key_Printer = 16908290
  Key_Q = 81
  Key_Question = 63
  Key_QuoteDbl = 34
  Key_QuoteLeft = 96
  Key_R = 82
  Key_Refresh = 16777316
  Key_Reload = 16777446
  Key_Reply = 16777445
  Key_Return = 16777220
  Key_Right = 16777236
  Key_Romaji = 16781604
  Key_RotateWindows = 16777447
  Key_RotationKB = 16777449
  Key_RotationPB = 16777448
  Key_S = 83
  Key_Save = 16777450
  Key_ScreenSaver = 16777402
  Key_ScrollLock = 16777254
  Key_Search = 16777362
  Key_Select = 16842752
  Key_Semicolon = 59
  Key_Send = 16777451
  Key_Shift = 16777248
  Key_Shop = 16777406
  Key_SingleCandidate = 16781628
  Key_Slash = 47
  Key_Sleep = 16908292
  Key_Space = 32
  Key_Spell = 16777452
  Key_SplitScreen = 16777453
  Key_Standby = 16777363
  Key_Stop = 16777315
  Key_Subtitle = 16777477
  Key_Super_L = 16777299
  Key_Super_R = 16777300
  Key_Support = 16777454
  Key_Suspend = 16777484
  Key_SysReq = 16777226
  Key_T = 84
  Key_THORN = 222
  Key_Tab = 16777217
  Key_TaskPane = 16777455
  Key_Terminal = 16777456
  Key_Time = 16777479
  Key_ToDoList = 16777420
  Key_ToggleCallHangup = 17825799
  Key_Tools = 16777457
  Key_TopMenu = 16777482
  Key_Touroku = 16781611
  Key_Travel = 16777458
  Key_TrebleDown = 16777335
  Key_TrebleUp = 16777334
  Key_U = 85
  Key_UWB = 16777473
  Key_Uacute = 218
  Key_Ucircumflex = 219
  Key_Udiaeresis = 220
  Key_Ugrave = 217
  Key_Underscore = 95
  Key_Up = 16777235
  Key_V = 86
  Key_Video = 16777459
  Key_View = 16777481
  Key_VoiceDial = 17825800
  Key_VolumeDown = 16777328
  Key_VolumeMute = 16777329
  Key_VolumeUp = 16777330
  Key_W = 87
  Key_WLAN = 16777472
  Key_WWW = 16777403
  Key_WakeUp = 16777400
  Key_WebCam = 16777466
  Key_Word = 16777460
  Key_X = 88
  Key_Xfer = 16777461
  Key_Y = 89
  Key_Yacute = 221
  Key_Yes = 16842753
  Key_Z = 90
  Key_Zenkaku = 16781608
  Key_Zenkaku_Hankaku = 16781610
  Key_Zoom = 16908294
  Key_ZoomIn = 16777462
  Key_ZoomOut = 16777463
  Key_acute = 180
  Key_brokenbar = 166
  Key_cedilla = 184
  Key_cent = 162
  Key_copyright = 169
  Key_currency = 164
  Key_degree = 176
  Key_diaeresis = 168
  Key_division = 247
  Key_exclamdown = 161
  Key_guillemotleft = 171
  Key_guillemotright = 187
  Key_hyphen = 173
  Key_iTouch = 16777432
  Key_macron = 175
  Key_masculine = 186
  Key_mu = 181
  Key_multiply = 215
  Key_nobreakspace = 160
  Key_notsign = 172
  Key_onehalf = 189
  Key_onequarter = 188
  Key_onesuperior = 185
  Key_ordfeminine = 170
  Key_paragraph = 182
  Key_periodcentered = 183
  Key_plusminus = 177
  Key_questiondown = 191
  Key_registered = 174
  Key_section = 167
  Key_ssharp = 223
  Key_sterling = 163
  Key_threequarters = 190
  Key_threesuperior = 179
  Key_twosuperior = 178
  Key_unknown = 33554431
  Key_ydiaeresis = 255
  Key_yen = 165
  KeyboardModifierMask = -33554432
  KeypadModifier = 536870912
  LastCursor = 21
  LayoutDirectionAuto = 2
  LeftArrow = 3
  LeftButton = 1
  LeftDockWidgetArea = 1
  LeftSection = 1
  LeftToRight = 0
  LeftToolBarArea = 1
  LinearGradientPattern = 15
  LinkAction = 4
  LinksAccessibleByKeyboard = 8
  LinksAccessibleByMouse = 4
  LocalDate = 2
  LocalTime = 0
  LocaleDate = 3
  LogText = 3
  LogicalCoordinates = 1
  LogicalMoveStyle = 0
  LowEventPriority = -1
  META = 268435456
  MODIFIER_MASK = -33554432
  MPenCapStyle = 48
  MPenJoinStyle = 448
  MPenStyle = 15
  MSWindowsFixedSizeDialogHint = 256
  MSWindowsOwnDC = 512
  MacWindowToolBarButtonHint = 268435456
  MaskInColor = 0
  MaskOutColor = 1
  MatchCaseSensitive = 16
  MatchContains = 1
  MatchEndsWith = 3
  MatchExactly = 0
  MatchFixedString = 8
  MatchRecursive = 64
  MatchRegExp = 4
  MatchStartsWith = 2
  MatchWildcard = 5
  MatchWrap = 32
  MaximumSize = 2
  MenuBarFocusReason = 6
  MetaModifier = 268435456
  MidButton = 4
  MiddleButton = 4
  MinimumDescent = 3
  MinimumSize = 0
  MiterJoin = 0
  Monday = 1
  MonoOnly = 2
  MouseFocusReason = 0
  MoveAction = 2
  NavigationModeCursorAuto = 3
  NavigationModeCursorForceVisible = 4
  NavigationModeKeypadDirectional = 2
  NavigationModeKeypadTabOrder = 1
  NavigationModeNone = 0
  NoArrow = 0
  NoBrush = 0
  NoButton = 0
  NoClip = 0
  NoContextMenu = 0
  NoDockWidgetArea = 0
  NoFocus = 0
  NoFocusReason = 8
  NoItemFlags = 0
  NoModifier = 0
  NoPen = 0
  NoSection = 0
  NoTextInteraction = 0
  NoToolBarArea = 0
  NonModal = 0
  NormalEventPriority = 0
  OddEvenFill = 0
  OffsetFromUTC = 2
  OpaqueMode = 1
  OpenHandCursor = 17
  OrderedAlphaDither = 4
  OrderedDither = 16
  OtherFocusReason = 7
  PanGesture = 3
  PartiallyChecked = 1
  PinchGesture = 4
  PlainText = 0
  PointingHandCursor = 13
  Popup = 9
  PopupFocusReason = 4
  PreferDither = 64
  PreferredSize = 1
  PreventContextMenu = 4
  QueuedConnection = 2
  RadialGradientPattern = 16
  ReceivePartialGestures = 2
  RelativeSize = 1
  RepeatTile = 1
  ReplaceClip = 1
  RichText = 1
  RightArrow = 4
  RightButton = 2
  RightDockWidgetArea = 2
  RightSection = 5
  RightToLeft = 1
  RightToolBarArea = 2
  RoundCap = 32
  RoundJoin = 128
  RoundTile = 2
  SHIFT = 33554432
  Saturday = 6
  ScrollBarAlwaysOff = 1
  ScrollBarAlwaysOn = 2
  ScrollBarAsNeeded = 0
  Sheet = 5
  ShiftModifier = 33554432
  ShortcutFocusReason = 5
  SizeAllCursor = 9
  SizeBDiagCursor = 7
  SizeFDiagCursor = 8
  SizeHintRole = 13
  SizeHorCursor = 6
  SizeVerCursor = 5
  SmoothTransformation = 1
  SolidLine = 1
  SolidPattern = 1
  SplashScreen = 15
  SplitHCursor = 12
  SplitVCursor = 11
  SquareCap = 16
  StatusTipRole = 4
  StretchTile = 0
  StrongFocus = 11
  SubWindow = 18
  Sunday = 7
  SvgMiterJoin = 256
  SwipeGesture = 5
  SystemLocaleDate = 2
  SystemLocaleLongDate = 5
  SystemLocaleShortDate = 4
  TabFocus = 1
  TabFocusReason = 1
  TapAndHoldGesture = 2
  TapGesture = 1
  TargetMoveAction = 32770
  TextAlignmentRole = 7
  TextBrowserInteraction = 13
  TextColorRole = 9
  TextDate = 0
  TextDontClip = 512
  TextDontPrint = 16384
  TextEditable = 16
  TextEditorInteraction = 19
  TextExpandTabs = 1024
  TextHideMnemonic = 32768
  TextIncludeTrailingSpaces = 134217728
  TextJustificationForced = 65536
  TextSelectableByKeyboard = 2
  TextSelectableByMouse = 1
  TextShowMnemonic = 2048
  TextSingleLine = 256
  TextWordWrap = 4096
  TextWrapAnywhere = 8192
  TexturePattern = 24
  ThresholdAlphaDither = 0
  ThresholdDither = 32
  Thursday = 4
  TitleBarArea = 9
  Tool = 11
  ToolBarArea_Mask = 15
  ToolButtonFollowStyle = 4
  ToolButtonIconOnly = 0
  ToolButtonTextBesideIcon = 2
  ToolButtonTextOnly = 1
  ToolButtonTextUnderIcon = 3
  ToolTip = 13
  ToolTipRole = 3
  TopDockWidgetArea = 4
  TopLeftCorner = 0
  TopLeftSection = 2
  TopRightCorner = 1
  TopRightSection = 4
  TopSection = 3
  TopToolBarArea = 4
  TouchPointMoved = 2
  TouchPointPressed = 1
  TouchPointReleased = 8
  TouchPointStationary = 4
  TransparentMode = 0
  Tuesday = 2
  UI_AnimateCombo = 3
  UI_AnimateMenu = 1
  UI_AnimateToolBox = 6
  UI_AnimateTooltip = 4
  UI_FadeMenu = 2
  UI_FadeTooltip = 5
  UI_General = 0
  UNICODE_ACCEL = 0
  UTC = 1
  Unchecked = 0
  UniqueConnection = 128
  UniteClip = 3
  UpArrow = 1
  UpArrowCursor = 1
  UserRole = 32
  VerPattern = 10
  Vertical = 2
  VisualMoveStyle = 1
  WA_AcceptDrops = 78
  WA_AcceptTouchEvents = 121
  WA_AlwaysShowToolTips = 84
  WA_AttributeCount = 135
  WA_AutoOrientation = 130
  WA_CustomWhatsThis = 47
  WA_DeleteOnClose = 55
  WA_Disabled = 0
  WA_DontCreateNativeAncestors = 101
  WA_ForceDisabled = 32
  WA_ForceUpdatesDisabled = 59
  WA_GrabbedShortcut = 50
  WA_GroupLeader = 72
  WA_Hover = 74
  WA_InputMethodEnabled = 14
  WA_InputMethodTransparent = 75
  WA_InvalidSize = 45
  WA_KeyCompression = 33
  WA_KeyboardFocusChange = 77
  WA_LaidOut = 7
  WA_LayoutOnEntireRect = 48
  WA_LayoutUsesWidgetRect = 92
  WA_LockLandscapeOrientation = 129
  WA_LockPortraitOrientation = 128
  WA_MSWindowsUseDirect3D = 94
  WA_MacAlwaysShowToolWindow = 96
  WA_MacBrushedMetal = 46
  WA_MacFrameworkScaled = 117
  WA_MacMetalStyle = 46
  WA_MacMiniSize = 91
  WA_MacNoClickThrough = 12
  WA_MacNoShadow = 134
  WA_MacNormalSize = 89
  WA_MacOpaqueSizeGrip = 85
  WA_MacShowFocusRect = 88
  WA_MacSmallSize = 90
  WA_MacVariableSize = 102
  WA_Mapped = 11
  WA_MergeSoftkeys = 124
  WA_MergeSoftkeysRecursively = 125
  WA_MouseNoMask = 71
  WA_MouseTracking = 2
  WA_Moved = 43
  WA_NativeWindow = 100
  WA_NoChildEventsForParent = 58
  WA_NoChildEventsFromChildren = 39
  WA_NoMousePropagation = 73
  WA_NoMouseReplay = 54
  WA_NoSystemBackground = 9
  WA_NoX11EventCompression = 81
  WA_OpaquePaintEvent = 4
  WA_OutsideWSRange = 49
  WA_PaintOnScreen = 8
  WA_PaintOutsidePaintEvent = 13
  WA_PaintUnclipped = 52
  WA_PendingMoveEvent = 34
  WA_PendingResizeEvent = 35
  WA_PendingUpdate = 44
  WA_QuitOnClose = 76
  WA_Resized = 42
  WA_RightToLeft = 56
  WA_SetCursor = 38
  WA_SetFont = 37
  WA_SetLayoutDirection = 57
  WA_SetLocale = 87
  WA_SetPalette = 36
  WA_SetStyle = 86
  WA_SetWindowIcon = 53
  WA_ShowWithoutActivating = 98
  WA_StaticContents = 5
  WA_StyleSheet = 97
  WA_StyledBackground = 93
  WA_TintedBackground = 82
  WA_TouchPadAcceptSingleTouchEvents = 123
  WA_TranslucentBackground = 120
  WA_TransparentForMouseEvents = 51
  WA_UnderMouse = 1
  WA_UpdatesDisabled = 10
  WA_WState_CompressKeys = 61
  WA_WState_ConfigPending = 64
  WA_WState_Created = 60
  WA_WState_ExplicitShowHide = 69
  WA_WState_Hidden = 16
  WA_WState_InPaintEvent = 62
  WA_WState_OwnSizePolicy = 68
  WA_WState_Polished = 66
  WA_WState_Reparented = 63
  WA_WState_Visible = 15
  WA_WindowModified = 41
  WA_WindowPropagation = 80
  WA_X11DoNotAcceptFocus = 132
  WA_X11NetWmWindowTypeCombo = 115
  WA_X11NetWmWindowTypeDND = 116
  WA_X11NetWmWindowTypeDesktop = 104
  WA_X11NetWmWindowTypeDialog = 110
  WA_X11NetWmWindowTypeDock = 105
  WA_X11NetWmWindowTypeDropDownMenu = 111
  WA_X11NetWmWindowTypeMenu = 107
  WA_X11NetWmWindowTypeNotification = 114
  WA_X11NetWmWindowTypePopupMenu = 112
  WA_X11NetWmWindowTypeSplash = 109
  WA_X11NetWmWindowTypeToolBar = 106
  WA_X11NetWmWindowTypeToolTip = 113
  WA_X11NetWmWindowTypeUtility = 108
  WA_X11OpenGLOverlay = 83
  WDestructiveClose = 'TO BE DONE'
  WaitCursor = 3
  Wednesday = 3
  WhatsThisCursor = 15
  WhatsThisRole = 5
  WheelFocus = 15
  WhiteSpaceModeUndefined = -1
  WhiteSpaceNoWrap = 2
  WhiteSpaceNormal = 0
  WhiteSpacePre = 1
  Widget = 0
  WidgetShortcut = 0
  WidgetWithChildrenShortcut = 3
  WindingFill = 1
  Window = 1
  WindowActive = 8
  WindowCancelButtonHint = 1048576
  WindowCloseButtonHint = 134217728
  WindowContextHelpButtonHint = 65536
  WindowFullScreen = 4
  WindowMaximizeButtonHint = 32768
  WindowMaximized = 2
  WindowMinMaxButtonsHint = 49152
  WindowMinimizeButtonHint = 16384
  WindowMinimized = 1
  WindowModal = 1
  WindowNoState = 0
  WindowOkButtonHint = 524288
  WindowShadeButtonHint = 131072
  WindowShortcut = 1
  WindowSoftkeysRespondHint = -2147483648
  WindowSoftkeysVisibleHint = 1073741824
  WindowStaysOnBottomHint = 67108864
  WindowStaysOnTopHint = 262144
  WindowSystemMenuHint = 8192
  WindowTitleHint = 4096
  WindowType_Mask = 255
  X11BypassWindowManagerHint = 1024
  XAxis = 0
  XButton1 = 8
  XButton2 = 16
  YAxis = 1
  ZAxis = 2
  black = 2
  blue = 9
  color0 = 0
  color1 = 1
  cyan = 10
  darkBlue = 15
  darkCyan = 16
  darkGray = 4
  darkGreen = 14
  darkMagenta = 17
  darkRed = 13
  darkYellow = 18
  gray = 5
  green = 8
  lightGray = 6
  magenta = 11
  red = 7
  transparent = 19
  white = 3
  yellow = 12

class ReadWriteStatus(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class TextEditBaseWidget(_Mock):
  pass
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  NoWrap = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WidgetWidth = 1
  WinPanel = 3

class ThreadManager(_Mock):
  pass


